<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Users List</title>
    <link href="https://cdn.datatables.net/v/bs4/dt-1.10.25/datatables.min.css"
          rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/4.0.0-2/css/bootstrap.min.css}">
</head>
<body>
<a th:href="@{/}">Home</a>
<div class="container">
    <table class="table table-striped" id="user-table">
        <thead>
        <tr>
            <th>Firstname</th>
            <th>Lastname</th>
            <th>Email</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="user: ${users}">
            <td th:text="${user.firstname}"></td>
            <td th:text="${user.lastname}"></td>
            <td th:text="${user.email}"></td>
        </tr>
        </tbody>
    </table>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/dt-1.10.25/datatables.min.js"></script>


<script type="text/javascript">
    $(function () {
        $("#user-table").DataTable({
            'aoColumnDefs': [{
                'bSortable': true,
                'aTargets': [-1]
            }]
        });
    })
</script>
</body>
</html>